> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# producttype

> GenericMDOProvider reads MDO lists with default settings

## "producttype" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'producttype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/producttype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("producttype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 3  | Bags     |           |           |
| 2  | Hats     |           |           |
| 4  | Socks    |           |           |
| 1  | T-Shirts |           |           |

## Related MDO Lists

* "producttypeheadings"
* "producttypeheadingswithallitem"
* "producttypeheadingswithallitemwithnoselection"
* "producttypeheadingswithnoselection"
* "producttypewithallitem"
* "producttypewithallitemwithnoselection"
* "producttypewithnoselection"


## Related topics

- [ProductType table](/en/database/tables/producttype.md)
- [SuperOffice.WebApi.Data.ProductType](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProductType.md)
- [ProductTypeGroupLink table](/en/database/tables/producttypegrouplink.md)
- [ProductTypeHeadingLink table](/en/database/tables/producttypeheadinglink.md)
- [SuperOffice.WebApi.Data.LicenseInfo](/en/api/reference/webapi/SuperOffice.WebApi.Data.LicenseInfo.md)
- [SuperOffice.WebApi.Data.QuoteLine](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteLine.md)
